Package com.usatiuk.kleppmanntree

# Interface OpRecorder<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

public interface OpRecorder<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

## Method Summary

Modifier and Type
Method
Description
`void`
`recordOp(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op)`
`void`
`recordOpForPeer(PeerIdT peer, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op)`

## Method Details

### recordOp

void recordOp(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op)

### recordOpForPeer

void recordOpForPeer(PeerIdT peer, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op)